Skip to main content

Interop Positions Book

Request to be POSTed to uri : /NorenWClientAPI/InteropPositionBook

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
actid*Account id of the logged in user.

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/InteropPositionBook' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 14f48b1dea3e8d07f9dcb3308848f989497223e055147cb9aaf3892a2e292dbb' \
--data 'jData={"actid":"DEMO"}'

Response Details :

Response data will be in json format with Array of Objects with below fields in case of success.

Json FieldsPossible valueDescription
statOk or Not_OkPosition book success or failure indication.
exchExchange segment
tsymTrading symbol / contract.
tokenContract token
uidUser Id
actidAccount Id
prdProduct name to be shown.
s_prdt_aliProduct display name
daybuyqtyDay Buy Quantity
daysellqtyDay Sell Quantity
daybuyamtDay Buy Amount
daysellamtDay Sell Amount
cfbuyqtyCarry Forward Buy Quantity
cfsellqtyCarry Forward Sell Quantity
cfbuyamtCarry Forward Buy Amount
cfsellamtCarry Forward Sell Amount
openbuyqtyOpen Buy Quantity
opensellqtyOpen Sell Quantity
openbuyamtOpen Buy Amount
opensellamtOpen Sell Amount
instnameInstrument Name
upload_prcUpload Price
buyavgprcBuy Average Price[ (daybuyamt + cfbuyamt) / (daybuyqty + cfbuyqty) ]
sellavgprcSell Average Price[ (daysellamt + cfsellamt) / (daysellqty + cfsellqty) ]
rpnlRealized panel
netqtyNet Quantity [ daybuyqty + cfbuyqty - daysellqty - cfsellqty ]
totbuyamtTotal Buy Amounte
totsellamtTotal Sell Amount
totbuyavgprcTotal Buy Avg Price
totsellavgprcTotal Sell Avg Price
openbuyavgprcOpen Buy Average Price
opensellavgprcOpen Sell Average Price
cfbuyavgprcCarry Forward Buy average price
cfsellavgprcCarry Forward Buy average price
child_ordersArray Object ,Details given below
brknameBroker Name

child_orders Obj format

Json FieldsPossible valueDescription
exchExchange segment
tokenContract token
ppPrice precision
multMultiplier
tiTick size
lsLot size
prcftrContract price factor (GNPN)/(GDPD), (used for order value calculation)
daybuyqtyDay Buy Quantity
daybuyamtDay Buy Amount
daybuyavgprcDay buy Average price
daysellqtyDay Sell Quantity
daysellamtDay Sell Amount
daysellavgprcDay Sell Average price
cfbuyqtyCF Buy Quantity
cfbuyamtCF Buy Amount
cfbuyavgprcCarry Forward Buy average price
cfsellqtyCF Sell Quantity
cfsellamtCF Sell Amount
cfsellavgprcCarry Forward Buy average price
openbuyqtyOpen Buy Quantity
opensellqtyOpen Sell Quantity
openbuyamtOpen Buy Amount
opensellamtOpen Sell Amount
upload_prcUpload Price
totbuyamtTotal Buy Amount
totsellamtTotal Sell Amount
totbuyavgprcTotal Buy Avg Price
totsellavgprcTotal Sell Avg Price
openbuyavgprcOpen Buy Average Price
opensellavgprcOpen Sell Average Price

Response data will be in json format with below fields in case of failure:

Json FieldsPossible valueDescription
statOk or Not_OkInterop Position book request failure indication.
request_timeResponse received time.
emsgError message

Sample Success Response :

[
{
"stat": "Ok",
"child_orders": [
{
"exch": "NSE",
"token": "14813",
"s_prdt_ali": "NRML",
"prd": "M",
"tsym": "ADSL-EQ",
"pp": "2",
"mult": "1",
"ti": "0.01",
"ls": "1",
"prcftr": "1.000000",
"daybuyqty": "1",
"daybuyamt": "150.00",
"daybuyavgprc": "150.00",
"daysellamt": "0.00",
"daysellavgprc": "0.00",
"cfbuyamt": "0.00",
"cfbuyavgprc": "0.00",
"cfsellamt": "0.00",
"cfsellavgprc": "0.00",
"netqty": "1",
"netavgprc": "150.00",
"lp": "150.00",
"urmtom": "0.00",
"upldprc": "0.00",
"netupldprc": "150.00",
"buyavgprc": "15000.00",
"sellavgprc": "0.00",
"rpnl": "-0.00",
"totbuyamt": "150.00",
"totsellamt": "0.00",
"totbuyavgprc": "150.00"
}
],
"mult": "1",
"prcftr": "1.000000",
"daybuyqty": "01",
"daybuyamt": "150.00",
"daybuyavgprc": "150.00",
"daysellamt": "0.00",
"daysellavgprc": "0.00",
"cfbuyamt": "0.00",
"cfbuyavgprc": "0.00",
"cfsellamt": "0.00",
"cfsellavgprc": "0.00",
"netqty": "1",
"netavgprc": "150.00",
"lp": "150.00",
"urmtom": "0.00",
"buyavgprc": "15000.00",
"sellavgprc": "0.00",
"rpnl": "-0.00",
"totbuyamt": "150.00",
"totsellamt": "0.00",
"totbuyavgprc": "150.00",
"upldprc": "0.00",
"netupldprc": "150.00",
"actid": "DEMO",
"exch": "EQT",
"token": "ADSL",
"s_prdt_ali": "NRML",
"prd": "M",
"uid": "DEMO",
"tsym": "ADSL-EQ",
"brkname": "KSPL",
"instname": "EQ",
"netqty": "1"
}
]

Sample Failure Response :

{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}